# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTIBILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# ======================================================================
__version__= '1.0'


from Globals import HTMLFile,MessageDialog
from ImageFile import ImageFile  
import ButtonBuilder





#html-add-form
manage_addButtonBuilderForm = HTMLFile('dtml/add_form', globals())




#action for html-add-form
def manage_addButtonBuilder(self, id='',title='',REQUEST=None, submit=None):
    """Add a Zope Object """
    if id=='':
        return MessageDialog( title='Error', message='Please enter an id!', action = REQUEST['URL1']+'/add_form',)
    ob=ButtonBuilder.ButtonBuilder(id, title)
    ob.title=title
    id=self._setObject(id, ob)
    if REQUEST is not None:
        try: u=self.DestinationURL()
        except: u=REQUEST['URL1']
        if submit=="Add": u="%s/%s" % (u,quote(id))
        REQUEST.RESPONSE.redirect(u+'/manage_main')
    return 'Nothing'



# Load images from disk and make them accessible
misc_={
       'icon':           ImageFile('img/icon.png',globals()),
      }  





def initialize(context): 
    """Initialize the product."""
    
    try: 
        context.registerClass(
            ButtonBuilder.ButtonBuilder,
            constructors = (                 
                manage_addButtonBuilderForm,  #html file; html-form has action next constructor
                manage_addButtonBuilder),     #constructor caled from html-form (action)                                            
            )
        context.registerBaseClass(ButtonBuilder.ButtonBuilder)

    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb

    #context.registerHelp()
    #context.registerHelpTitle('ButtonBuilder')

